* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
    font-family: Arial, Helvetica, sans-serif;
}

h2, h3, h4 {
  margin-top: 1.5rem;
  margin-bottom: 1rem;
}

ul, ol {
  padding-left: 1.5rem;
  margin-bottom: 1rem;
}

p {
  margin-bottom: 1rem;
}

body {
    background-color: #f3ebe0;
    background: url("bg.jpg") no-repeat center center fixed;
    background-size: cover;
    color: white;
} 

/* Center content */
.overlay {
    z-index: 1;
    position: absolute;
    left: 0;
    width: 100%;
    bottom: 18vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Instagram link */
.instagram {
    padding: 12px 26px;
    border: 2px solid #d0d0d0;
    background: #d0d0d0;
    text-decoration: none;
    color: #333;
    font-size: 1rem;
    letter-spacing: 1px;
    transition: all 0.3s ease;
    font-weight: 500;
}

.instagram:hover {
    border: 2px solid white;
    background: white;
    color: black;
}

/* Footer */
footer {
    padding-right: 2rem;
    position: absolute;
    left: 0;
    width: 100%;
    bottom: 0;
    z-index: 2;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 10px;
    font-size: 14px;
}

footer a {
    color: #efefef;
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline;
}

/* Center content */
.overlay-center {
    height: calc(100% - 60px);
    display: flex;
    align-items: center;
    justify-content: center;
}

/* MODAL */
.modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.85);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 999;
}

.modal-content {
    background: #f0ece0;
    color: #34302c;
    max-width: 800px;
    width: 90%;
    max-height: 80vh;
    overflow-y: auto;
    padding: 40px;
    position: relative;
    border-radius: 4px;
}

.modal-content h1 {
    margin-bottom: 20px;
}

.modal-page {
    display: none;
    font-size: 15px;
    line-height: 1.6;
}

.close {
    position: absolute;
    top: 15px;
    right: 20px;
    font-size: 28px;
    cursor: pointer;
}
